# Class CIM_LANEndpoint
extends CIM_ProtocolEndpoint

A communication endpoint which, when its associated interface device is connected to a LAN, may send and receive data frames. LANEndpoints include Ethernet, Token Ring and FDDI interfaces.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_LANEndpoint

## Direct Known Subclasses

CIM_WiFiEndpoint

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A communication endpoint which, when its associated interface device is connected to a LAN, may send and receive data frames. LANEndpoints include Ethernet, Token Ring and FDDI interfaces.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LANID | string |
Description | string | A label or identifier for the LAN Segment to which the Endpoint is connected. If the Endpoint is not currently active/connected or this information is not known, then LANID is NULL.
ModelCorrespondence | string | CIM_LANConnectivitySegment.LANID, CIM_LANSegment.LANID
LANType | uint16 |
Deprecated | string | CIM_ProtocolEndpoint.ProtocolType
Description | string | An indication of the kind of technology used on the LAN. This property is deprecated in lieu of ProtocolType, which is an enumeration inherited from ProtocolEndpoint and which includes the Values specified here.
ModelCorrespondence | string | CIM_LANConnectivitySegment.ConnectivityType, CIM_LANSegment.LANType
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Other, Ethernet, TokenRing, FDDI
MACAddress | string |
Description | string | The principal unicast address used in communication with the LANEndpoint. The MAC address is formatted as twelve hexadecimal digits (e.g., "010203040506"), with each pair representing one of the six octets of the MAC address in "canonical" bit order according to RFC 2469.
MaxLen | uint32 | 12
MaxDataSize | uint32 |
Description | string | The largest information field that may be sent or received by the LANEndpoint.
Units | string | Bits
OtherLANType | string |
Deprecated | string | CIM_ProtocolEndpoint.OtherTypeDescription
Description | string | A free-form string that describes the type of technology used on the LAN when the value of the LANType property is equal to 1 (i.e., "Other"). This property is deprecated since its purpose overlaps with OtherTypeDescription, which which is inherited from ProtocolEndpoint.
ModelCorrespondence | string | CIM_LANConnectivitySegment.OtherTypeDescription, CIM_LANEndpoint.LANType
AliasAddresses | string[] |
Description | string | Other unicast addresses that may be used to communicate with the LANEndpoint.
GroupAddresses | string[] |
Description | string | Multicast addresses to which the LANEndpoint listens.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_ProtocolEndpoint
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_ProtocolEndpoint
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement